Modify an order
curl --request POST \
--url https://api.circle.com/v1/match/orders/modify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auctionId": 42,
"orderId": "550e8400-e29b-41d4-a716-446655440000",
"feeBps": "3"
}
'import requests
url = "https://api.circle.com/v1/match/orders/modify"
payload = {
"auctionId": 42,
"orderId": "550e8400-e29b-41d4-a716-446655440000",
"feeBps": "3"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({auctionId: 42, orderId: '550e8400-e29b-41d4-a716-446655440000', feeBps: '3'})
};
fetch('https://api.circle.com/v1/match/orders/modify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.circle.com/v1/match/orders/modify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'auctionId' => 42,
'orderId' => '550e8400-e29b-41d4-a716-446655440000',
'feeBps' => '3'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.circle.com/v1/match/orders/modify"
payload := strings.NewReader("{\n \"auctionId\": 42,\n \"orderId\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"feeBps\": \"3\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.circle.com/v1/match/orders/modify")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"auctionId\": 42,\n \"orderId\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"feeBps\": \"3\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.circle.com/v1/match/orders/modify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"auctionId\": 42,\n \"orderId\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"feeBps\": \"3\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"auctionId": 42,
"orderId": "550e8400-e29b-41d4-a716-446655440000",
"status": "pending"
}
}{
"code": 137001,
"message": "Insufficient available balance"
}{
"code": 137001,
"message": "Insufficient available balance"
}Modify an order
Changes the fee limit on a resting order. Only the fee changes; the order remains in pending status with its original size and side.
Outside the lock window, the fee can move in either direction. During the lock window, the new value must be more competitive than the current value (lower for redemption orders, higher for MINT orders); a less competitive value returns error 137005. Setting feeBps to null converts the order to a market order.
POST
/
v1
/
match
/
orders
/
modify
Modify an order
curl --request POST \
--url https://api.circle.com/v1/match/orders/modify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auctionId": 42,
"orderId": "550e8400-e29b-41d4-a716-446655440000",
"feeBps": "3"
}
'import requests
url = "https://api.circle.com/v1/match/orders/modify"
payload = {
"auctionId": 42,
"orderId": "550e8400-e29b-41d4-a716-446655440000",
"feeBps": "3"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({auctionId: 42, orderId: '550e8400-e29b-41d4-a716-446655440000', feeBps: '3'})
};
fetch('https://api.circle.com/v1/match/orders/modify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.circle.com/v1/match/orders/modify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'auctionId' => 42,
'orderId' => '550e8400-e29b-41d4-a716-446655440000',
'feeBps' => '3'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.circle.com/v1/match/orders/modify"
payload := strings.NewReader("{\n \"auctionId\": 42,\n \"orderId\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"feeBps\": \"3\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.circle.com/v1/match/orders/modify")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"auctionId\": 42,\n \"orderId\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"feeBps\": \"3\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.circle.com/v1/match/orders/modify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"auctionId\": 42,\n \"orderId\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"feeBps\": \"3\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"auctionId": 42,
"orderId": "550e8400-e29b-41d4-a716-446655440000",
"status": "pending"
}
}{
"code": 137001,
"message": "Insufficient available balance"
}{
"code": 137001,
"message": "Insufficient available balance"
}Authorizations
Body
application/json
Was this page helpful?